/*
 * arpa/inet.h
 */
#ifndef __arpa_inet_h__
#define	__arpa_inet_h__

/* External definitions for functions in inet(3) */

unsigned long inet_addr(const char *);
int inet_aton(const char *, struct in_addr *);
unsigned long inet_lnaof(struct in_addr);
struct in_addr inet_makeaddr(u_long, u_long);
unsigned long inet_netof(struct in_addr);
unsigned long inet_network(const char *);
char *inet_ntoa(struct in_addr);

#endif
