/*
 * netdb.h 1998/05/01
 * Modified by K.Shirakata
 */
#ifndef	__netdb_h__
#define	__netdb_h__

struct hostent {
	char *h_name;
	char **h_aliases;
	int h_addrtype;
	int h_length;
	char **h_addr_list;
};
#define h_addr h_addr_list[0]

struct netent {
	char *n_name;
	char **n_aliases;
	int n_addrtype;
	unsigned long n_net;
};

struct protoent {
	char *p_name;
	char **p_aliases;
	int p_proto;
};

struct servent {
	char *s_name;
	char **s_aliases;
	int s_port;
	char *s_proto;
};

struct hostent *gethostbyname(char *);
struct hostent *gethostbyaddr(char *, int, int);
struct netent *getnetbyname(char *);
struct netent *getnetbyaddr(long, int);
struct servent *getservbyname(char *, char *);
struct servent *getservbyport(int, char *);
struct protoent *getprotobyname(char *);
struct protoent *getprotobynumber(int);

#endif
