#include <sys/param.h>
#include <netinet/in.h>
#include <arpa/inet.h>

/*
 * Return the local network address portion of an
 * internet address; handles class a/b/c network
 * number formats.
 */
u_long
inet_lnaof(struct in_addr in)
{
	u_long i = ntohl(in.s_addr);

	if (IN_CLASSA(i))
		return (i) & IN_CLASSA_HOST;
	else if (IN_CLASSB(i))
		return (i) & IN_CLASSB_HOST;
	else
		return (i) & IN_CLASSC_HOST;
}
