#include <sys/param.h>
#include <netinet/in.h>
#include <arpa/inet.h>

/*
 * Return the network number from an internet
 * address; handles class a/b/c network #'s.
 */
u_long
inet_netof(struct in_addr in)
{
	u_long i = ntohl(in.s_addr);

	if (IN_CLASSA(i))
		return ((i) & IN_CLASSA_NET) >> IN_CLASSA_NSHIFT;
	else if (IN_CLASSB(i))
		return ((i) & IN_CLASSB_NET) >> IN_CLASSB_NSHIFT;
	else
		return ((i) & IN_CLASSC_NET) >> IN_CLASSC_NSHIFT;
}
